org.apache.ode.bpel.engine.replayer

## Class ReplayerContext.Answers

- java.lang.Object
- - org.apache.ode.bpel.engine.replayer.ReplayerContext.Answers

- Enclosing class:
    ReplayerContext

      public class ReplayerContext.Answers
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Map<java.lang.String,ReplayerContext.AnswersForKey>` | `answersMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplayerContext.Answers()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(CommunicationType.Exchange e)`
    `ReplayerContext.AnswerResult` | `fetchAnswer(javax.xml.namespace.QName service, java.lang.String operation, org.w3c.dom.Element outgoingMessage, java.util.Date currentEventDateTime)`
    `java.lang.String` | `getAnswersKey(javax.xml.namespace.QName service, java.lang.String operation)`
    `void` | `remainingExchanges(java.util.List<CommunicationType.Exchange> e)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### answersMap

          public java.util.Map<java.lang.String,ReplayerContext.AnswersForKey> answersMap

  - ### Constructor Detail

    - #### ReplayerContext.Answers

          public ReplayerContext.Answers()

  - ### Method Detail

    - #### getAnswersKey

          public java.lang.String getAnswersKey(javax.xml.namespace.QName service,
                                       java.lang.String operation)

    - #### add

          public void add(CommunicationType.Exchange e)

    - #### fetchAnswer

          public ReplayerContext.AnswerResult fetchAnswer(javax.xml.namespace.QName service,
                                                 java.lang.String operation,
                                                 org.w3c.dom.Element outgoingMessage,
                                                 java.util.Date currentEventDateTime)

    - #### remainingExchanges

          public void remainingExchanges(java.util.List<CommunicationType.Exchange> e)